Bug 218401 - net-im/profanity: Compile with Python plugin support
Summary: net-im/profanity: Compile with Python plugin support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-05 16:57 UTC by freebsd
Modified: 2017-04-19 12:08 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (arved)


Attachments
Poudriere build log (43.46 KB, text/x-log)
2017-04-17 09:09 UTC, freebsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2017-04-05 16:57:27 UTC
Please add an option for compiling with Python plugin support. Or just force compilation with it as Python seems to be a dependency anyway.
Comment 1 commit-hook freebsd_committer 2017-04-15 20:41:26 UTC
A commit references this bug:

Author: arved
Date: Sat Apr 15 20:40:33 UTC 2017
New revision: 438599
URL: https://svnweb.freebsd.org/changeset/ports/438599

Log:
  Enable pluginsupport.

  PR:		218401
  Submitted by:	freebsd@get-experience.com

  While here, add configure flags to prevent linking against X11

Changes:
  head/net-im/profanity/Makefile
  head/net-im/profanity/files/
  head/net-im/profanity/files/patch-configure.ac
  head/net-im/profanity/pkg-plist
Comment 2 Tilman Keskinoz freebsd_committer 2017-04-15 20:42:18 UTC
thanks for the heads up. Plugin support should now be enabled.
Comment 3 freebsd 2017-04-17 09:09:07 UTC
Created attachment 181835 [details]
Poudriere build log

Unfortunately this doesn't compile/configure: "Python not found, cannot enable Python plugins".
Comment 4 Tilman Keskinoz freebsd_committer 2017-04-17 21:06:07 UTC
try again. I committed a fix for the poudriere build (build w/o python port installed)
Comment 5 freebsd 2017-04-19 12:08:01 UTC
Building nicely now. Thank you very much!